#include <bits/stdc++.h>

using namespace std;

void sol() {
    int t, n, k;
    cin >> t >> n >> k;
    vector<int> a(n);
    for (int i = 0; i < n; ++i) {
        cin >> a[i];
    }
    if (t == 0) {
        int c1 = 0;
        sort(a.begin(), a.end());
        for (int i = 0; i < n; ++i) {
            if (c1 <= a[i]) {
                ++c1;
            }
            else {
                --c1;
            }
        }
        int c2 = 0;
        sort(a.rbegin(), a.rend());
        for (int i = 0; i < n; ++i) {
            if (c2 <= a[i]) {
                ++c2;
            }
            else {
                --c2;
            }
        }
        if (k >= c2 && k <= c1) {
            cout << "DA\n";
        }
        else {
            cout << "NE\n";
        }
        return;
    }

}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    sol();
    return 0;
}